Bug 1567205 - require dnf from updates testing
Summary: require dnf from updates testing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-repos
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohan Boddu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 14:49 UTC by Matthew Miller
Modified: 2018-07-10 11:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-10 11:46:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthew Miller 2018-04-13 14:49:52 UTC
Sorry for lack of detail -- running around trying to get things tied off this morning in several different directions. But so this doesn't get lost:

1. Install a fresh Fedora 28 beta system
2. Enable modular repo
3. DNF breaks, even with non-module operations, because module metadata is too new

Stephen suggests that we need to have a dep on the modular repo rpm requiring the dnf in updates-testing (and in general increase the version of that dep if there are future incompatible changes).

Comment 1 Troy Dawson 2018-04-13 15:15:42 UTC
This package is replaced by a subpackage from fedora-repos.
Re-assigning.

Comment 2 Kevin Fenzi 2018-04-13 15:24:01 UTC
Wouldn't this just be solved by fixed dnf being stable?

Comment 3 Stephen Gallagher 2018-04-16 11:40:44 UTC
@Kevin: No, because if they don't rev together (e.g. you do what Matthew did and install just the repo package), you'll end up in a state where you can't run `dnf update dnf`.

I think in this case, it's probably wise for us to set a minimum version of DNF.

Comment 4 Dennis Gilmore 2018-04-18 15:16:04 UTC
I will note that adding a  "Requires dnf >= foo" will pull dnf into all build roots, additionally it is likely going to cause issues with installing systems, dnf would need to be installed before fedora-release  adding a conflicts with dnf < <some version> should work okay. however there is no fix for what Matthew did. enabling a repo on beta does not take into account anything with metadata etc and the dnf installed is the one installed.

making any packaging changes, will only help things going forward, and then only if people try to go backwards.  The one pretty concrete place it may help with is if people do something on a fedora 27 system like "dnf --releasever 28 update fedora-release" then enable the modular repos and then try to do a update or distro-sync.


Note You need to log in before you can comment on or make changes to this bug.